Support dark skins (tracking)
Open, LowPublic

Description

A variety of blocks of content in MediaWiki's UI do not support skins that use a dark content area. They either use an explicit dark text color that does not inherit light colors used by the skin or use a light background without specifying the text color and as a result when the dark skin uses a light body text it becomes light text on a light background.

While it is reasonable to expect that a dark skin will add extra styling to make content look event cleaner in it, the default should remain readable without customization.

This is especially important given that this is not a fixed set of content, new parts of the UI are introduced with this same issue, as a result there's no way a skin can simply patch in fixes for all of MW, new things would simply break.


Version: 1.24rc
Severity: normal

Details

Reference
bz64731
bzimport raised the priority of this task from to Low.
bzimport set Reference to bz64731.
bzimport added a subscriber: Unknown Object (MLST).
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 3 2015, 12:41 AM
Danny_B added a subscriber: Danny_B.
Danny_B moved this task from Unsorted to Colors on the Accessibility board.Feb 15 2016, 12:29 AM
Krinkle removed a subscriber: Krinkle.Jul 23 2016, 1:34 AM

Wondering if this is about Darkvector (normal name, @Arcane21)? DarkVector (CamelCaseName, @Malvineous)? Vector-DarkCSS (@Malvineous too)? Or others/all 3 skins?

Isarra added a subscriber: Isarra.Jan 10 2017, 11:14 PM

This isn't just vector - it applies to any dark skin, where mw core styles assume a white or white background and thus components are styled with white backgrounds to match this expectation.

It's not really a valid expectation, but nor is there really a good way to address this directly without some overhaul of how core and skin styles interact in the first place, at least that I can think of.

Also applies to things added by extensions, and frameworks such as oo-js.

if the Theme extension ever gets merged into core (T122924), this ticket would be easier to tackle. :)

if the Theme extension ever gets merged into core (T122924), this ticket would be easier to tackle. :)

How so? The problem here is the explicit styling on various UI blocks, and skins having to then explicitly override all of them (which tends to be particularly bad for stuff added by extensions, js elements, and anything non-static). At a minimum, we need better generic styles applied to the blocks, but ideally I'd say what we want is probably some sort of framework to specify generic styles within the skin that then get applied to all of these (like ooui themes, but done in a way that's actually feasible for the skin itself to implement) - basically, reverse the process.

Theme seems like it's just affected by this bug same as the skins themselves.